Bug 807611 - (CVE-2012-1593) CVE-2012-1593 wireshark: NULL pointer dereference in ANSI A dissector
CVE-2012-1593 wireshark: NULL pointer dereference in ANSI A dissector
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20120210,reported=2...
: Security
Depends On: 808973
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-28 06:40 EDT by Jan Lieskovsky
Modified: 2016-03-04 06:15 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-22 16:43:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2012-03-28 06:40:55 EDT
A NULL pointer dereference flaw was found in the way ANSI A dissector of the Wireshark, a network traffic analyzer, processed certain capture files (those causing wireshark to pass NULL packet information via a global variable to the call_dissector() routine). A remote attacker could provide a specially-crafted packet capture file, which once opened by a local unsuspecting user would lead to wireshark executable crash.

Upstream bug report:
[1] https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=6823

Relevant upstream patch:
[2] http://anonsvn.wireshark.org/viewvc?view=revision&revision=40962

CVE Request:
[3] http://www.openwall.com/lists/oss-security/2012/03/28/7

Reproducer:
[4] http://www.wireshark.org/download/automated/captures/fuzz-2012-02-10-23234.pcap
Comment 3 Kurt Seifried 2012-03-28 11:08:38 EDT
Added CVE as per http://www.openwall.com/lists/oss-security/2012/03/28/13
Comment 4 Huzaifa S. Sidhpurwala 2012-03-30 03:56:01 EDT
Statement:

Not Vulnerable. This issue does not affect the version of wireshark as shipped
with Red Hat Enterprise Linux 5 and 6.
Comment 5 Huzaifa S. Sidhpurwala 2012-04-02 00:25:15 EDT
Created wireshark tracking bugs for this issue

Affects: fedora-16 [bug 808973]
Comment 6 Fedora Update System 2012-04-19 01:22:49 EDT
wireshark-1.6.6-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.